Skip to main content
`Ctrl`+`K`

# VecLog

Replaces each component of a vector by log(x_i), the natural logarithm

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLog(Vec v)

Not Collective

## Input Parameter

- v - The vector

## Output Parameter

- v - The vector of logs

## See Also

`Vec`, `VecExp()`, `VecAbs()`, `VecSqrtAbs()`, `VecReciprocal()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages